-- ===================================================
-- Constants
-- ===================================================

local ADDON_NAME, Mocksamdi = ...;
local ADDON_VERSION = GetAddOnMetadata(ADDON_NAME, "Version");
local ADDON_AUTHOR = GetAddOnMetadata(ADDON_NAME, "Author");
local ADDON_DEBUG = false;

local GENERAL_SOUNDS = {
	94633,  -- what ya doin here man? not your time
	98423,  -- mighty hero
	98428,  -- dangerous games
	98429,  -- i see dead people
	98430,  -- want a zombie drink?
	98431,  -- everyone comes to me
	109291, -- still owe me
	109293, -- got in over your head
	109294, -- did not expect to see you
	109295, -- poor little thing
	109296, -- impressive
	109297  -- quality time
};

local CLASS_SOUNDS = {
  WARIROR = 109308, -- 1
  PALADIN = 109304, -- 2
  HUNTER = 109301, -- 3
  ROGUE = 109305, -- 4
  PRIEST = 109304, -- 5
  DEATH_KNIGHT = 109298, -- 6
  SHAMEN = 109306, -- 7
  MAGE = 109302, -- 8
  WARLOCK = 109307, -- 9
  MONK = 109303, -- 10
  DRUID = 109300, -- 11
  DEMON_HUNTER = 109299, -- 12
};

local BAN_ZONES = {
  BASTION = 1533,
  NAZMIR = 863,
};

-- Add them to the addon scope
Mocksamdi.VERSION = ADDON_VERSION;
Mocksamdi.ADDON_AUTHOR = ADDON_AUTHOR;
Mocksamdi.DEBUG = ADDON_DEBUG;
Mocksamdi.GENERAL_SOUNDS = GENERAL_SOUNDS;
Mocksamdi.CLASS_SOUNDS = CLASS_SOUNDS;
Mocksamdi.BAN_ZONES = BAN_ZONES;
